National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2012-0029 Detail

Description

Heap-based buffer overflow in the process_tx_desc function in the e1000 emulation (hw/e1000.c) in qemu-kvm 0.12, and possibly other versions, allows guest OS users to cause a denial of service (QEMU crash) and possibly execute arbitrary code via crafted legacy mode packets.

Source:  MITRE      Last Modified:  01/27/2012

Quick Info

CVE Dictionary Entry:
CVE-2012-0029
Original release date:
01/27/2012
Last revised:
08/28/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 2.0):
CVSS v2 Base Score:
7.4 HIGH
Vector:
(AV:A/AC:M/Au:S/C:C/I:C/A:C) (legend)
Impact Subscore:
10.0
Exploitability Subscore:
4.4
CVSS Version 2 Metrics:
Access Vector:
Local network exploitable
Access Complexity:
Medium
Authentication:
Required to exploit
Impact Type:
Allows unauthorized disclosure of information; Allows unauthorized modification; Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://git.qemu.org/?p=qemu.git;a=log;h=refs/heads/stable-1.0 External Source CONFIRM http://git.qemu.org/?p=qemu.git;a=log;h=refs/heads/stable-1.0
http://lists.fedoraproject.org/pipermail/package-announce/2012-June/081972.html External Source FEDORA FEDORA-2012-8604
http://lists.opensuse.org/opensuse-security-announce/2012-10/msg00002.html External Source SUSE SUSE-SU-2012:1320
http://lists.opensuse.org/opensuse-updates/2012-02/msg00009.html External Source SUSE openSUSE-SU-2012:0207
http://rhn.redhat.com/errata/RHSA-2012-0370.html External Source REDHAT RHSA-2012:0370
http://www.redhat.com/support/errata/RHSA-2012-0050.html External Source REDHAT RHSA-2012:0050
http://www.securityfocus.com/bid/51642 External Source BID 51642
http://www.ubuntu.com/usn/USN-1339-1 External Source UBUNTU USN-1339-1
https://bugzilla.redhat.com/show_bug.cgi?id=772075 External Source MISC https://bugzilla.redhat.com/show_bug.cgi?id=772075
https://exchange.xforce.ibmcloud.com/vulnerabilities/72656 External Source XF qemu-processtxdesc-bo(72656)

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:kvm_group:qemu-kvm:0.12:*:*:*:*:*:*:*

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 2 change records found - show changes